resource "proxmox_vm_qemu" "jumphost" {
    name = "Jumphost"
    desc = "A test for using terraform and cloudinit"

    # Node name has to be the same name as within the cluster
    # this might not include the FQDN
    target_node = var.proxmox_host

    # The template name to clone this vm from
    clone = var.template_name

    # Activate QEMU agent for this VM
    agent = 1

    os_type = "cloud-init"
    cpu {
        cores = 4
        sockets = 2
        type = "host"
    }
    memory = 2048
    balloon = 1024
    scsihw = "virtio-scsi-single"

    # Setup the disk
    disks {
        ide {
            ide3 {
                cloudinit {
                    storage = "local-lvm"
                }
            }
        }
        scsi {
          scsi0 {
            disk {
              size = "10G"
              storage = var.storage_disks
              discard = true
              iothread        = true
              # Can't emulate SSDs in virtio
            }
          }
        }
    }

    network {
        id = 0
        model = "e1000"
        bridge = var.nic_name_external
    }

    network {
        id = 1
        model = "e1000"
        bridge = var.nic_name_internal
    }

    vga {
        type = "virtio"
    }


    startup_shutdown {
        order            = -1
        shutdown_timeout = -1
        startup_delay    = -1
    }

    # Setup the ip address using cloud-init.
    boot = "order=scsi0"
    # Keep in mind to use the CIDR notation for the ip.
    ipconfig0 = "ip=dhcp,ip6=dhcp"
    ipconfig1 = "ip=dhcp,ip6=dhcp"
    skip_ipv6 = true

    ciuser = "clusteruser"
    cipassword = "password"
    ciupgrade = true
    cicustom   = "vendor=oldnasisos:snippets/qemu-guest-agent.yml" 
}